### Enumeration

# FwupdPlugin EfiStatus

#### Declaration

    enum FwupdPlugin.EfiStatus

#### Description [src]

EFI_STATUS is u64le on 64-bit and u32le on 32-bit — but be pragmatic.

#### Members

Name | Description
--- | ---
`FU_EFI_STATUS_SUCCESS` | No description available.
`FU_EFI_STATUS_LOAD_ERROR` | No description available.
`FU_EFI_STATUS_INVALID_PARAMETER` | No description available.
`FU_EFI_STATUS_UNSUPPORTED` | No description available.
`FU_EFI_STATUS_BAD_BUFFER_SIZE` | No description available.
`FU_EFI_STATUS_BUFFER_TOO_SMALL` | No description available.
`FU_EFI_STATUS_NOT_READY` | No description available.
`FU_EFI_STATUS_DEVICE_ERROR` | No description available.
`FU_EFI_STATUS_WRITE_PROTECTED` | No description available.
`FU_EFI_STATUS_OUT_OF_RESOURCES` | No description available.
`FU_EFI_STATUS_VOLUME_CORRUPTED` | No description available.
`FU_EFI_STATUS_VOLUME_FULL` | No description available.
`FU_EFI_STATUS_NO_MEDIA` | No description available.
`FU_EFI_STATUS_MEDIA_CHANGED` | No description available.
`FU_EFI_STATUS_NOT_FOUND` | No description available.
`FU_EFI_STATUS_ACCESS_DENIED` | No description available.
`FU_EFI_STATUS_NO_RESPONSE` | No description available.
`FU_EFI_STATUS_NO_MAPPING` | No description available.
`FU_EFI_STATUS_TIMEOUT` | No description available.
`FU_EFI_STATUS_NOT_STARTED` | No description available.
`FU_EFI_STATUS_ALREADY_STARTED` | No description available.
`FU_EFI_STATUS_ABORTED` | No description available.
`FU_EFI_STATUS_ICMP_ERROR` | No description available.
`FU_EFI_STATUS_TFTP_ERROR` | No description available.
`FU_EFI_STATUS_PROTOCOL_ERROR` | No description available.
`FU_EFI_STATUS_INCOMPATIBLE_VERSION` | No description available.
`FU_EFI_STATUS_SECURITY_VIOLATION` | No description available.
`FU_EFI_STATUS_CRC_ERROR` | No description available.
`FU_EFI_STATUS_END_OF_MEDIA` | No description available.
`FU_EFI_STATUS_END_OF_FILE` | No description available.
`FU_EFI_STATUS_INVALID_LANGUAGE` | No description available.
`FU_EFI_STATUS_COMPROMISED_DATA` | No description available.
`FU_EFI_STATUS_IP_ADDRESS_CONFLICT` | No description available.
`FU_EFI_STATUS_HTTP_ERROR` | No description available.